Summary:	Bindings for the Xapian
Name:		xapian-bindings
Version:	1.0.10
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
URL:		http://www.xapian.org
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.bz2
Patch0:		xapian-bindings-1.0.10-no-pyc.patch
Patch1:		xapian-bindings-1.0.10-link-modules.patch
BuildRequires:	xapian-devel >= %{version}
%py_requires -d
BuildRequires:	php-devel
BuildRequires:	php-cli
BuildRequires:	tcl-devel
BuildRequires:	java-rpmbuild
BuildRequires:	ruby-devel
BuildRequires:	mono-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SWIG and JNI bindings allowing Xapian to be used from various 
other programming languages.

%package java
Summary:	Files needed for developing Java applications which use Xapian
Group:		Development/Java
Requires:	xapian-core >= %{version}
Requires:	java-1.7.0-icedtea

%description java
This package provides the files needed for developing Java applications which
use Xapian.

%package mono
Summary:	Files needed for developing C# applications which use Xapian
Group:		Development/Other
Requires:	xapian-core >= %{version}
Requires:	mono

%description mono
This package provides the files needed for developing 
C# applications which use Xapian.

%package php
Summary:	Files needed for developing PHP scripts which use Xapian
Group:		Development/PHP
Requires:	xapian-core >= %{version}
Requires:	php-common

%description php
This package provides the files needed for developing 
PHP scripts which use Xapian.

%package python
Summary:	Files needed for developing Python scripts which use Xapian
Group:		Development/Python
Requires:	xapian-core >= %{version}
Requires:	python >= 2.5

%description python
This package provides the files needed for developing 
Python scripts which use Xapian.

%package ruby
Summary:	Files needed for developing Ruby applications which use Xapian
Group:		Development/Ruby
Requires:	xapian-core >= %{version}
Requires:	ruby

%description ruby
This package provides the files needed for developing 
Ruby applications which use Xapian.

%package tcl
Summary:	Files needed for developing TCL scripts which use Xapian
Group:		Development/Other
Requires:	xapian-core >= %{version}
Requires:	tcl

%description tcl
This package provides the files needed for developing 
TCL scripts which use Xapian.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
# (tpg) do not check for this, to much effort to provide a patch
%define Werror_cflags %nil

# We want to avoid using jni.h from libgcj-devel, so we force
# the includedir instead of using ./configure detection, which would
# default to libgcj jni.h:
# - Anssi (12/2007)
export CPPFLAGS="%{optflags} -I%{java_home}/include"
export JDK_HOME=%{java_home}
export TCL_LIB=%{tcl_sitearch}
autoconf
%configure2_5x \
	--with-csharp \
	--with-php \
	--with-python \
	--with-ruby \
	--with-tcl \
	--with-java

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# Move to a proper location
install -d -m755 %{buildroot}%{_libdir}
mv %{buildroot}%{_builddir}/%{name}-%{version}/java/built/libxapian_jni.so %{buildroot}%{_libdir}

# Install the needed jar file as well
install -d -m755 %{buildroot}%{_jnidir}
install -m644 java/built/xapian_jni.jar %{buildroot}%{_jnidir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files java
%defattr(-,root,root)
%{_libdir}/libxapian_jni.so
%{_jnidir}/xapian_jni.jar

%files mono
%defattr(-,root,root)
%doc %{_docdir}/xapian-bindings/csharp
%{_libdir}/XapianSharp.la
%{_libdir}/XapianSharp.so
%{_libdir}/mono/XapianSharp/XapianSharp.dll
%{_libdir}/mono/gac/XapianSharp/%{version}*/XapianSharp.dll

%files php
%defattr(-,root,root)
%doc %{_docdir}/xapian-bindings/php
%{_libdir}/php/extensions/xapian.so
%{_datadir}/php5/xapian.php

%files python
%defattr(-,root,root)
%doc %{_docdir}/xapian-bindings/python
%{python_sitearch}/*.py*
%{python_sitearch}/*.so

%files ruby
%defattr(-,root,root)
%doc %{_docdir}/xapian-bindings/ruby
%{ruby_sitearchdir}/_xapian.so
%{ruby_sitelibdir}/xapian.rb

%files tcl
%defattr(-,root,root)
%doc %{_docdir}/xapian-bindings/tcl8
%{tcl_sitearch}/xapian%{version}/*



%changelog
* Sun Jan 11 2009 Funda Wang <fundawang@mandriva.org> 1.0.10-1mdv2009.1
+ Revision: 328220
- fix building

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.0.10
    - use %%define Werror_cflags %%nil, as providing a patch for this would take some time

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.com> 1.0.9-2mdv2009.1
+ Revision: 310409
- rebuild for new tcl
- move tcl bindings to new location per policy

* Tue Nov 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.9-1mdv2009.1
+ Revision: 299653
- update to new version 1.0.9

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.8-1mdv2009.0
+ Revision: 281117
- update to new version 1.0.8

* Sat Jul 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.7-1mdv2009.0
+ Revision: 238697
- drop patch 0
- update to new version 1.0.7

* Tue Apr 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6-1mdv2009.0
+ Revision: 196589
- Patch0: fix tcllibdir
- fix file list
- drop patch0, merged upstream
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Fri Dec 28 2007 Anssi Hannula <anssi@mandriva.org> 1.0.5-1mdv2008.1
+ Revision: 139004
- install java files properly
- fix java build

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - provide patch 0 (fixes ruby docs install)
    - try to use java-1.7.0-icedtea
    - new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 103798
- new version

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 1.0.3-1mdv2008.1
+ Revision: 98138
- fix ruby bindings dir
- New version 1.0.3

* Sun Jul 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 49877
- own missing file
- new version

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 39741
- fix file list
- new version

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 30520
- fix requires

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 30319
- Import xapian-bindings

